.BG
.FN summary.roc
.TL
Summary method for ROC objects
.DN
returns a summary list for a roc object.  A null value will be
returned if printing is invoked.
.CS
summary.roc(roc.obj, pairs=F, conf.level=0.95, 
     se.method=c("delong", "hanely", "bootstrap"), nboot=100, stratboot=F)
.RA
.AG roc.obj
the roc object.  This is assumed to be the result of some fit that
produces an object inheriting from the class "roc", in the sense that
the components returned by the roc function will be available.
.OA
.AG pairs
Logical.  If TRUE and the roc object has more than one marker,
pairwise comparisons are summarized.
.AG conf.level
Default is .95 but can be altered to change the confidence intervals.  
.AG se.method
Method used for calculating standard error.  Default is 'delong' with 
'hanely' and 'bootstrap' as other options.
.AG nboot
Applies when 'bootstrap' standard error specified.  Number of
bootstrap samples taken.
.AG stratboot
Logical and only applies when 'bootstrap' standard error specified.  
If TRUE, indicates the sample taken for the bootstrap will be 
stratified on the status variable.
.SE
Tests whether the roc area under the curve is different from chance
(0.5). 
.DT
Note that the area is calculated so that it is always > 0.5.
.SH REFERENCES
MORE TO COME.
.SA
summary, roc, print.roc
.EX
> summary(f1, pairs=T)
Call:
roc(formula = autof.neur ~ cass + compass + orth.sc, data = d1)

Error Method: delong 


Markers:
         ROC AUC  Std. Error  z value  Pr(>|z|)  lower.95  upper.95 
   cass   0.8877      0.0374    10.37         0    0.8145    0.9610
compass   0.8065      0.0516     5.94         0    0.7055    0.9076
orth.sc   0.8143      0.0498     6.31         0    0.7166    0.9120


Overall Test for Equality of Areas: 
 Chi-square( 2 df ): 1.8126     P-value: 0.404


Pairwise Comparisons:
                   Area.2  Area.1  Area Diff  P-value   lower.95  upper.95 
   compass - cass  0.8065  0.8877    -0.0812    0.1862    -0.202     0.039
   orth.sc - cass  0.8143  0.8877    -0.0734    0.2172    -0.190     0.043
orth.sc - compass  0.8143  0.8065     0.0078    0.8286    -0.063     0.078

.KW roc
.WR

